;;;   END.lsp
;;;   Copyright (C) 1990 by Autodesk, Inc.
;;;  
;;;   Permission to use, copy, modify, and distribute this software and its
;;;   documentation for any purpose and without fee is hereby granted.  
;;;
;;;   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY. 
;;;   ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR PURPOSE AND OF 
;;;   MERCHANTABILITY ARE HEREBY DISCLAIMED.
;;; 
;;;   by Amy Berger
;;;
;;;----------------------------------------------------------------------------
;;;
;;; DESCRIPTION
;;;
;;;   This is a redefintion of the AutoCAD end command.  You may want to add
;;;   this command to your acad.lsp file if you have one.
;;;
;;;   The end command should be undefined before using this
;;;   lisp routine:
;;;
;;;         (command "undefine" "end")
;;;   
;;;   
(defun c:end (/ a)
  (setq a (getvar "cmdecho"))
  (setvar "cmdecho" 0)
  (initget "Yes No")
  (if (= (getkword "\nEND the drawing session?  Yes/<No>: ") "Yes")
    (command "save" "" "quit" "y")
    (princ "\nYou must enter Yes to END a drawing session.")
  )
  (if a (setvar "cmdecho" a))
  (princ)
)
